#ifndef USBDEVICEOBSERVER_H
#define USBDEVICEOBSERVER_H

#include "QUdevMonitor.h"
#include <QObject>

class QUdev;

class USBDeviceObserver : public QUdevMonitor
{
    Q_OBJECT
public:
    explicit USBDeviceObserver(const QUdev &udev, QObject *parent = 0);
    void enumerateDevices();

public slots:
    void deviceAdded(QUdevDevice device);
    void deviceRemoved(QUdevDevice device);

private:
    const QUdev &m_udev;
};

#endif // USBDEVICEOBSERVER_H
