#ifndef QUDEVENUMERATOR_P_H
#define QUDEVENUMERATOR_P_H

#include "QUdev.h"

class QUdevEnumeratorPrivate {
public:
    QUdevEnumeratorPrivate(const QUdev &udev);
    virtual ~QUdevEnumeratorPrivate();

    const QUdev &udev() const;
    const QUdevContext &context() const;
    struct udev_enumerate *coreEnumerator() const;

private:
    QUdev m_udev;
    struct udev_enumerate *m_enumerator;
};

#endif // QUDEVENUMERATOR_P_H
