#-------------------------------------------------
#
# Project created by QtCreator 2011-05-24T18:08:44
#
#-------------------------------------------------

# Target root path (default /usr)
INSTALL_ROOT_PATH = /usr

QT       += core
QT       -= gui

TARGET = udev-qt
CONFIG   += console
CONFIG   -= app_bundle
LIBS += -ludev

TEMPLATE = lib


SOURCES += \
    QUdev.cpp \
    QUdevDevice.cpp \
    QUdevEnumerator.cpp \
    QUdevMonitor.cpp \

INSTALLABLE_HEADERS = \
    QUdev.h \
    QUdevDevice.h \
    QUdevEnumerator.h \
    QUdevMonitor.h \
    QUdev_Global.h \
    Enums.h

HEADERS += \
    QUdev_p.h \
    QUdevMonitor_p.h \
    QUdevDevice_p.h \
    QUdevEnumerator_p.h \
    $$INSTALLABLE_HEADERS

INSTALLABLE_HEADERS.files = $$INSTALLABLE_HEADERS
INSTALLABLE_HEADERS.path = $$INSTALL_ROOT_PATH/include/libudev-qt
target.path = $$INSTALL_ROOT_PATH/lib

INSTALLS += \
    INSTALLABLE_HEADERS \
    target

LIBUDEV_H = /usr/include/libudev.h
system(grep udev_get_run_path $$LIBUDEV_H):DEFINES += UDEV_HAS_RUN_PATH=TRUE
system(grep udev_device_get_usec_since_initialized $$LIBUDEV_H):DEFINES += UDEV_HAS_USEC_SINCE_INITIALIZED=TRUE
system(grep udev_device_get_is_initialized $$LIBUDEV_H):DEFINES += UDEV_HAS_IS_INITIALIZED=TRUE
system(grep udev_device_get_sysattr_list_entry $$LIBUDEV_H):DEFINES += UDEV_HAS_SYSATTR_LIST_ENTRY=TRUE
