#ifndef QUDEVDEVICE_P_H
#define QUDEVDEVICE_P_H

#include "QUdev_p.h"

#include <QSharedData>

class QUdevDeviceData : public QSharedData {
public:
    QUdevDeviceData(const QUdevContext &context, struct udev_device *device);
    QUdevDeviceData(const QUdevDeviceData &other);
    ~QUdevDeviceData();

    const QUdevContext &context() const;
    struct udev_device *device() const;

private:
    void setDevice(struct udev_device *device);

    QUdevContext m_context;
    struct udev_device *m_device;
};


#endif // QUDEVDEVICE_P_H
